/*
  弹道补偿算法。
*/

#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include "ahrs.h"

typedef struct {
  AHRS_Eulr_t *eulr;
} Ballistics_t;

void Ballistics_Init(Ballistics_t *b);
void Ballistics_Apply(Ballistics_t *b, float bullet_speed);

/**
 * @brief 
 * @param bullet_speed  弹丸速度
 * @param distance  距离 
 * @return  高度补偿值
 */
float Simpal_Ballistics_Apply(float bullet_speed, float distance);
void Ballistics_Reset(Ballistics_t *b);

#ifdef __cplusplus
}
#endif
